package lab.game;

import java.io.Serial;
import java.io.Serializable;

public class MyPoint implements Serializable {

	@Serial
	private static final long serialVersionUID = 5131948780897974323L;

	public double x;
	public double y;

	public MyPoint(double x, double y) {
		super();
		this.x = x;
		this.y = y;
	}

	public double getX() {
		return x;
	}

	public void setX(double x) {
		this.x = x;
	}

	public double getY() {
		return y;
	}

	public void setY(double y) {
		this.y = y;
	}

	public MyPoint multiply(double multiplier) {
		return new MyPoint(x * multiplier, y * multiplier);
	}

	public MyPoint add(MyPoint other) {
		return new MyPoint(x + other.x, y + other.y);
	}

}
